# 以图搜图api

## 搜图api

1. 加载数据库存储的图片向量特征
2. 通过图片url调用云函数提取向量
3. 获取url对应图片特征进行增删查操作
4. 将product_id集合返回给应用服务

## func云函数提取图片向量特征

1. 通过url内网下载图片然后在容器函数中利用gpu资源提取图片向量特征
2. 返回图片向量给api服务


开发:

## 云函数

1. 整理云函数提取图片向量特征,完善日志和向量返回
2. 配置集成对象存储内网获取图片
3. 思考如何优化冷启动的长时间等待

## api

1. 改造api集成云函数处理
2. 应用服务器与api服务的调用

## 应用服务

1. 确定与搜图api的调用接口(参数/返回)
2. 测试搜图的实际效果优化云函数图片向量特征算法